View Issue Details

IDProjectCategoryView StatusLast Update
0014678mantisbtbugtrackerpublic2019-08-05 04:30
Reporterrombert Assigned Torombert  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.11 
Target Version1.2.12Fixed in Version1.2.12 
Summary0014678: Allow resolving a bug when it is reported
Description

When MantisBT is used to report issue after the fact, for bookkeeping purposes, it is useful to be able to resolve the bug in one screen, when reporting.

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
related to 0017289 closeddregad Code allows display of Resolution and Status in bug report page, but doc says it's not allowed 
related to 0025962 closedvboctor IssueAddCommand does not create history entries identical to the code it replaced 

Activities

grangeway

grangeway

2013-04-05 17:56

reporter   ~0036193

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master-1.2.x e910215a

2012-09-23 11:01:37

rombert

Details Diff
bug_report: allow setting the resolution and status

Fixes 0014678: Allow resolving a bug when it is reported
Affected Issues
0014678
mod - bug_report.php Diff File
mod - bug_report_page.php Diff File

MantisBT: master 921a4005

2012-09-23 11:06:31

rombert

Details Diff
bug_report: allow setting the resolution and status

Fixes 0014678: Allow resolving a bug when it is reported

Conflicts:
bug_report.php
bug_report_page.php
Affected Issues
0014678
mod - bug_report.php Diff File
mod - bug_report_page.php Diff File

MantisBT: master d3617a6d

2012-09-23 12:15:42

rombert

Details Diff
bug_report: fix selection of default status and resolution

Fixes 0014678: Allow resolving a bug when it is reported
Affected Issues
0014678
mod - bug_report_page.php Diff File

MantisBT: master-1.2.x 6bd719a2

2012-09-23 12:15:42

rombert

Details Diff
bug_report: fix selection of default status and resolution

Fixes 0014678: Allow resolving a bug when it is reported
Affected Issues
0014678
mod - bug_report_page.php Diff File

MantisBT: master-1.2.x abe0cd2e

2014-05-07 08:20:24

dregad

Details Diff
Document ability to display status on bug_report_page.php

Fix for issue 0014678 omitted to amend the comment block in
config_defaults_inc.php as well as the documentation.

Fixes 0017289
Affected Issues
0014678, 0017289
mod - config_defaults_inc.php Diff File
mod - docbook/administration_guide/en/configuration.sgml Diff File

MantisBT: master 7e2993db

2014-05-07 08:20:24

dregad

Details Diff
Document ability to display status on bug_report_page.php

Fix for issue 0014678 omitted to amend the comment block in
config_defaults_inc.php as well as the documentation.

Fixes 0017289
Affected Issues
0014678, 0017289
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File

Issue History

Date Modified Username Field Change
2012-09-01 15:48 rombert New Issue
2012-09-12 14:46 rombert Assigned To => rombert
2012-09-12 14:46 rombert Status confirmed => assigned
2012-09-23 14:07 rombert Changeset attached => MantisBT master-1.2.x e910215a
2012-09-23 14:07 rombert Status assigned => resolved
2012-09-23 14:07 rombert Resolution open => fixed
2012-09-23 14:07 rombert Fixed in Version => 1.2.12
2012-09-23 14:07 rombert Changeset attached => MantisBT master 921a4005
2012-09-23 15:17 rombert Changeset attached => MantisBT master d3617a6d
2012-09-23 15:17 rombert Changeset attached => MantisBT master-1.2.x 6bd719a2
2012-09-29 19:23 dregad Target Version => 1.2.12
2012-11-10 18:54 dregad Status resolved => closed
2013-04-05 17:56 grangeway Status closed => acknowledged
2013-04-05 17:56 grangeway Note Added: 0036193
2013-04-05 19:04 grangeway Relationship added related to 0015721
2013-04-06 03:40 dregad Status acknowledged => closed
2013-04-06 07:23 grangeway Status closed => acknowledged
2013-04-06 09:22 dregad Tag Attached: 2.0.x check
2013-04-06 09:23 dregad Status acknowledged => closed
2014-05-07 08:26 dregad Relationship added related to 0017289
2014-05-07 08:37 dregad Changeset attached => MantisBT master-1.2.x abe0cd2e
2014-05-07 08:37 dregad Changeset attached => MantisBT master 7e2993db
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2019-08-05 04:30 dregad Relationship added related to 0025962